> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionelectricity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get HanDataModel



## OpenAPI

````yaml /openapi-v3.yaml get /han/{deviceId}
openapi: 3.0.3
info:
  title: iON REST API
  version: 3.0.0
  description: Direct REST-to-GraphQL API. Returns raw DynamoDB/AppSync objects.
servers: []
security:
  - CognitoAuth: []
paths:
  /han/{deviceId}:
    get:
      summary: Get HanDataModel
      parameters:
        - name: deviceId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    CognitoAuth:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools
      x-amazon-apigateway-authorizer:
        type: cognito_user_pools
        providerARNs:
          - >-
            arn:aws:cognito-idp:eu-central-1:571358996859:userpool/eu-central-1_Fzbfyp34o

````